summaryrefslogtreecommitdiffstats
path: root/games/assaultcube-reloaded/assaultcube-reloaded.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/assaultcube-reloaded/assaultcube-reloaded.SlackBuild')
-rw-r--r--games/assaultcube-reloaded/assaultcube-reloaded.SlackBuild19
1 files changed, 8 insertions, 11 deletions
diff --git a/games/assaultcube-reloaded/assaultcube-reloaded.SlackBuild b/games/assaultcube-reloaded/assaultcube-reloaded.SlackBuild
index 0f66d7f7ea..ddaf08d934 100644
--- a/games/assaultcube-reloaded/assaultcube-reloaded.SlackBuild
+++ b/games/assaultcube-reloaded/assaultcube-reloaded.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for assaultcube-reloaded
-# Copyright 2015-2019 Dimitris Zlatanidis Orestiada, Greece
+# Copyright 2015-2024 Dimitris Zlatanidis Orestiada, Greece
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=assaultcube-reloaded
SRCNAM=acr
-VERSION=${VERSION:-2.7}
+VERSION=${VERSION:-2.18.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +39,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -71,27 +68,27 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
cd source/src/
make
make install DESTDIR=$PKG
cd -
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
# install data
mkdir -p $PKG/usr/share/games/$PRGNAM $PKG/usr/bin
cp -rf bin_unix acr bot config packages $PKG/usr/share/games/$PRGNAM
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
# enable server configuration file
# more information http://acreloaded.wikia.com/wiki/Server_Guide
cp $PKG/usr/share/games/$PRGNAM/config/default.servercmdline.txt \